# memp.h File Reference

`#include <ubixos/types.h>`
`#include "net/debug.h"`
`#include "net/arch/cc.h"`
`#include "net/lwipopts.h"`

Go to the source code of this file.

## Defines

#define | memp_register_reclaim(t, f, arg)

## Enumerations

enum | memp_t { MEMP_PBUF, MEMP_UDP_PCB, MEMP_TCP_PCB, MEMP_TCP_PCB_LISTEN, MEMP_TCP_SEG, MEMP_NETBUF, MEMP_NETCONN, MEMP_API_MSG, MEMP_TCPIP_MSG, MEMP_SYS_TIMEOUT, MEMP_MAX }

## Functions

void | memp_init (void)
void * | memp_malloc (memp_t type)
void * | memp_mallocp (memp_t type)
void * | memp_malloc2 (memp_t type)
void * | memp_realloc (memp_t fromtype, memp_t totype, void *mem)
void | memp_free (memp_t type, void *mem)
void | memp_freep (memp_t type, void *mem)

## Define Documentation

#define memp_register_reclaim | ( | t,
|  | f,
|  | arg |  | ) |

## Enumeration Type Documentation

enum memp_t

Enumeration values:

  MEMP_PBUF |
  MEMP_UDP_PCB |
  MEMP_TCP_PCB |
  MEMP_TCP_PCB_LISTEN |
  MEMP_TCP_SEG |
  MEMP_NETBUF |
  MEMP_NETCONN |
  MEMP_API_MSG |
  MEMP_TCPIP_MSG |
  MEMP_SYS_TIMEOUT |
  MEMP_MAX |

## Function Documentation

void memp_free | ( | memp_t | type,
|  | void * | mem
| ) |

void memp_freep | ( | memp_t | type,
|  | void * | mem
| ) |

void memp_init | ( | void |  | ) |

void* memp_malloc | ( | memp_t | type | ) |

void* memp_malloc2 | ( | memp_t | type | ) |

void* memp_mallocp | ( | memp_t | type | ) |

void* memp_realloc | ( | memp_t | fromtype,
|  | memp_t | totype,
|  | void * | mem
| ) |